PATCH api/InternalApp/GetEbayListingUrl
Request Information
URI Parameters
None.
Body Parameters
TblEbayListingUrl| Name | Description | Type | Additional information |
|---|---|---|---|
| id | integer |
None. |
|
| stockItemId | string |
None. |
|
| ebayUrl | string |
None. |
|
| timestamp | date |
None. |
|
| ebayName | string |
None. |
|
| EbayListingPriceHistories | Collection of EbayListingPriceHistory |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": 1,
"stockItemId": "sample string 2",
"ebayUrl": "sample string 3",
"timestamp": "2026-03-11T04:40:15.0563105+00:00",
"ebayName": "sample string 5",
"ebayListingPriceHistories": [
{
"$id": "2",
"id": 1,
"timestamp": "2026-03-11T04:40:15.0563105+00:00",
"ebayListingUrl_id": 3,
"price": "sample string 4",
"qty": "sample string 5",
"qtyTxt": "sample string 6",
"tblEbayListingUrl": {
"$ref": "1"
}
},
{
"$ref": "2"
}
]
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ObjectNone.
Response Formats
application/json, text/json
Sample:
{}